AKAIO for AceKard 2.1 Any help appreciated.

Discussion in 'Acekard' started by GraphiX2004, Feb 10, 2019.

  1. GraphiX2004
    OP

    GraphiX2004 Member

    Newcomer
    1
    Feb 10, 2019
    United Kingdom
    I was wondering if someone could help me clear a few things up. I've read the rules and the FAQ and not seen any information about the few questions I have regarding getting hold of new firmware, or at least the very latest original kernel from AceKard.

    Back sometime in 2009 I think I bought about 8 cards. They said they only had 8 left in stock so panic bought a ton of em...Stupid I know... Anyway all AceKard 2 on the sticker says 2.1 I've always used their original 4.19/4.23 firmware I think it was that come with the card, or I downloaded from their official website. I found my DS Lite this year and like I always do I try every few years to download the new firmware. I noticed the site has gone now and the only trace and mention of updated firmware is AKAIO. I've never used anything but their official firmware before.

    My questions are the following.

    Can using the wrong kernel/moon-shell or what ever you put onto the SD card to make it work actually brick the Nintendo DS Lite? Or, does it just brick/alter the flashcart? I'm sorry for not knowing this I thought the kernel/firmware on the SD card was just read only for the time the DS was reading the flashcarts? Am I wrong, or can the wrong kernel/firmware/moonshell actually brick my actual DS?

    The reason asking is I found this thread on GBATemp saying about AKAIO

    Since I cannot get newer official firmware for my AceKard 2.1 for my DS Lite can I use the latest AKAIO 1.9.0, or what version can I safely use without the fear of either bricking the actual DS Lite, or the AceKard 2.1?
    Any help would be appreciated. I posted the same thing at AKAIO as well. But, reading their rules they also said questions should also be posted here? I don't get why since they make the firmware but I've done both.
     
  2. GraphiX2004
    OP

    GraphiX2004 Member

    Newcomer
    1
    Feb 10, 2019
    United Kingdom
    41 views and not a single reply lol? So nobody uses a normal acekard 2.1 here that can lend some help regarding my questions?
     
  3. ChiefReginod

    ChiefReginod Member

    Newcomer
    3
    Jun 11, 2016
    United States
    California
    This seems to have the info you're looking for:

    https://wiki.gbatemp.net/wiki/AKAIO

    Long story short it's not gonna brick your DS but there's a chance you could mess up one of your flash carts if you run the wrong version of AKIO. So read that page carefully before running anything.

    I've used AKAIO on both an Acekard 2 and Acekard 2i pretty much since they've existed and wouldn't use anything else at this point. I even bought some of the more recent R4 carts but still went back to my Acekard 2i with AKIO 1.9.0. It's just that great.
     
    Last edited by ChiefReginod, Feb 10, 2019
  4. GraphiX2004
    OP

    GraphiX2004 Member

    Newcomer
    1
    Feb 10, 2019
    United Kingdom
    Thanks for the reply. So your saying if I use AKAIO 1.9.0 on my SD card for my AceKard 2.1 For the Nintendo DS Lite I should be fine with this UN-official firmware/kernel?
    Any anymore, or anyone willing to help further to explain if these kernels/menus/firmware/moonshells actually can change something in my DS lite, or write to the flash card

    Again, I thought they was purely read only. i.e. the DS reads the firmware if it's the right brand/type for that flashcart it works as it should, if it's the wrong type for that card it just errors out. But doesn't damage or write to anything. Just a matter of deleting and re adding the right kernels/menus/firmware/moonshell?
     
  5. ChiefReginod

    ChiefReginod Member

    Newcomer
    3
    Jun 11, 2016
    United States
    California
    AKAIO doesn't write to your DS. There's minimal chance of bricking original DS or DS Lite systems in general unless you go out of your way to do so. DSi systems are another story.

    Use 1.9.0 only and you should be good. If you get a "FAT ERROR" try formatting your SD card to 16 KB clusters or higher. Don't use any earlier versions of AKAIO.

    It should also be noted that AKAIO is just a replacement OS, not a firmware. Don't update the cart's firmware unless you know for sure it's genuine (not a clone) and you have the right firmware and that there were no reports of bricks with that specific firmware release. It would be worth reading the Acekard Hardware and Clones section of the wiki.
     
  6. GraphiX2004
    OP

    GraphiX2004 Member

    Newcomer
    1
    Feb 10, 2019
    United Kingdom
    Cheers, I think it's just the OS I'm looking to update. All I know is the original 4.23 version from aceckard had AK_2 and moonshell folder. I think this is the OS of the flashcarts no?
     
Loading...